/* distribucionTriangular.c - distribucion de probabilidad triangular */
#include <stdio.h>
#include <time.h>

#define NUM 21

int uniforme(int rango, int bias);
int triangular(int rango, int bias);

int main(){

	int i, j, frecuencias[NUM] = {0}, n = 1000000, asters;

	srand(time(NULL));
	
	
	for (i = 0; i < n; i++){
		frecuencias[triangular(NUM, 1) - 1]++;
	}

	for (i = 0; i < NUM; i++){
		printf("%d \n", frecuencias[i]);
	}

	for (i = 0; i < NUM; i++){
		asters = frecuencias[i]/(n/(NUM*10));
		printf("%2d ",i+1);	
		for (j = 0; j < asters; j++)
			printf("*");
		printf("\n");	
	}
	
		
	return 0;
}

int uniforme(int rango, int bias){
	
	return (rand() % rango) + bias;

}

int triangular(int rango, int bias){
	int u1, u2;
	
	u1 = uniforme(rango, bias);
	u2 = uniforme(rango, bias);
	
	return (u1 + u2)/2;
}
