/* distribucionGaussiana.c - distribucion de probabilidad gaussiana */
#include <stdio.h>
#include <time.h>
#include <math.h>

#define NUM 50

int uniforme(int rango, int bias);
int gaussiana(int rango, int bias);

int main(){

	int i, j, frecuencias[NUM] = {0}, n = 1000000, asters;
	srand(time(NULL));
	
	
	for (i = 0; i < n; i++){
		frecuencias[gaussiana(NUM, 1) - 1]++;
//		printf("%d \n",gaussiana(NUM, 1));
	}

	for (i = 0; i < NUM; i++){
		printf("%d \n", frecuencias[i]);
	}

	for (i = 0; i < NUM; i++){
		asters = frecuencias[i]/(n/(NUM*10));
		printf("%2d ",i+1);	
		for (j = 0; j < asters; j++)
			printf("*");
		printf("\n");	
	}
	
		
	return 0;
}

int uniforme(int rango, int bias){
	
	return (rand() % rango) + bias;

}

int gaussiana(int rango, int bias){
	int i, sum = 0;
	int N = 12;
	
	for (i = 0; i < N; i++)
		sum += uniforme(rango, bias);
	
	return sum/N;
}
